9.8. Encodieren von mehreren Input-Bilddateien (JPEG, PNG, TGA, etc.)
Zurück | Kapitel 9. Allgemeiner Gebrauch von MEncoder | Weiter

## 9.8. Encodieren von mehreren Input-Bilddateien (JPEG, PNG, TGA, etc.)

MEncoder ist in der Lage, Filme aus einer oder mehreren JPEG-, PNG-, TGA- oder andere Bilddateien zu erzeugen. Mit einem einfachen framecopy kann es Dateien wie MJPEG (Motion JPEG), MPNG (Motion PNG) oder MTGA (Motion TGA) generieren.

Erläuterung des Prozesses:

1. MEncoder decodiert das/die Input-Bild(er) mittels `libjpeg` (beim Decodieren von PNGs nimmt er `libpng`).

2. MEncoder führt dann das decodierte Bild dem gewählten Video-Kompressor zu (DivX4, Xvid, FFmpeg msmpeg4, etc).

Beispiele. Die Erklärung der Option `-mf` steht in der Manpage.

Erzeugen einer MPEG4-Datei aus allen im aktuellen Verzeichnis liegenden JPEG-Dateien:

    mencoder mf://*.jpg -mf w=800:h=600:fps=25:type=jpg -ovc lavc \
        -lavcopts vcodec=mpeg4:mbd=2:trell -oac copy -o output.avi

Erzeugen einer MPEG4-Datei aus einigen im aktuellen Verzeichnis liegenden JPEG-Dateien:

    mencoder mf://frame001.jpg,frame002.jpg -mf w=800:h=600:fps=25:type=jpg \
        -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell -oac copy -o output.avi

Erzeugen einer MPEG4-Datei aus einer eindeutigen Liste von JPEG-Dateien (list.txt im aktuellem Verzeichnis enthält die Liste von Dateien, die als Quelle genutzt werden sollen, eine pro Zeile):

    mencoder mf://@list.txt -mf w=800:h=600:fps=25:type=jpg \
        -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell -oac copy -o output.avi

Du kannst verschiedene Bildtypen mischen, dabei ist egal, welche Methode du verwendest — individuelle Dateinamen, Wildcard oder eine Datei mit einer Liste — vorausgesetzt natürlich, dass sie dieselben Abmessungen haben. Du kannst also den Titel von einer PNG-Datei nehmen und daran eine Diashow aus JPEG-Bildern anhängen.

Erzeugen einer Motion JPEG (MJPEG) Datei aus allen im aktuellen Verzeichnis liegenden JPEG-Dateien:

    mencoder mf://*.jpg -mf w=800:h=600:fps=25:type=jpg -ovc copy -oac copy -o output.avi

Erzeugen einer unkomprimierten Datei aus allen PNG-Dateien im aktuellen Verzeichnis:

    mencoder mf://*.png -mf w=800:h=600:fps=25:type=png -ovc raw -oac copy -ooutput.avi

### Anmerkung

Die Breite muß ein Vielfaches von 4 sein, dies ist eine Einschränkung des RAW RGB AVI Formats.

Erzeugen einer Motion PNG (MPNG) Datei aus allen PNG-Dateien im aktuellen Verzeichnis:

    mencoder mf://*.png -mf w=800:h=600:fps=25:type=png -ovc copy -oac copy -o output.avi

Erzeugen einer Motion TGA (MTGA) Datei aus allen TGA-Dateien im aktuellen Verzeichnis:

    mencoder mf://*.tga -mf w=800:h=600:fps=25:type=tga -ovc copy -oac copy -o output.avi

Zurück | Nach oben | Weiter
9.7. Kopieren von Streams | Zum Anfang | 9.9. Extrahieren von DVD-Untertiteln in eine VOBsub-Datei